{% extends 'core.html' %} 
{% block title %}Bienvenido{% endblock %} 
{% block staticload %} 
{% load static %}
<link rel="stylesheet" type="text/css" href="{% static 'users/css/styles.css' %}">
<link rel="stylesheet" type="text/css" href="https://unpkg.com/font-awesome@4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="https://unpkg.com/bootstrap@4.0.0/dist/css/bootstrap.css">
{% endblock %} 
{% block content %}
<div class="continer">
    <div class="jumbotron mb-0">
        <div class="container py-4">
            <div class="row">
                <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6 text-center">
                    <h1 class="display-4 text-warning">Bienvenido a Jaciv</h1>
                    <p class="text-dark text-left ml-5">Jaciv en una plataforma en línea donde la gente puede anunciar sus productos en venta.</p>
                    <hr/>
                    <p class="text-muted ml-5 text-left">Para conocer como utilizar el sitio, ve nuestro video introductorio.</p>
                </div>                
                <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6 text-center">
                    <div class="embed-responsive embed-responsive-16by9">
                        <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/6aN8-neSGbE?loop=1&playlist=6aN8-neSGbE" allowfullscreen></iframe>
                    </div>                    
                </div>
            </div>
        </div>
    </div>
</div>
<div class="container">
    <h1 class="text-center my-3">
    <span style="font-size: 1em; color: #ffc107;">
        <i class="fas fa-haykal" aria-hidden="true"></i>
      </span>
      Novedades
    </h1>
    <div id="myCarousel" class="carousel slide" data-ride="carousel">
        <div class="carousel-inner row w-100 mx-auto">
            {% for publication in latest_publications %}
            <div class="carousel-item col-12 col-sm-12 col-md-6 col-lg-4 col-xl-4 active">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title"><a class="text-dark" href="{{publication.get_absolute_url}}">{{publication.product_name}}</a></h4>
                            <a href="{{publication.get_absolute_url}}"><img class="img-thumbnail" style="max-height:175px; min-height: 175px;" src="{{publication.photo.url}}"/></a>
                            <p><small class="text-muted">{{publication.publication_date}}</small>                     
                            {% if publication.state == 'D' %}
                            <small><span class="badge badge-success">{{publication.get_state_display}}</span></small>
                            {% else %}
                            <small></small><span class="badge badge-danger">{{publication.get_state_display}}</span></small>
                            {% endif %}
                            </p> 
                    </div> 
                </div>
            </div>
            {% endfor %}
        </div>
    </div>
</div>
<div class="container">
    <h1 class="text-center my-3">
        <span style="font-size: 1em; color: #ffc107;">
            <i class="fas fa-eye" aria-hidden="true"></i> 
        </span>
      Lo más visto
    </h1>
    <div id="myCarousel2" class="carousel slide mb-5" data-ride="carousel">
        <div class="carousel-inner row w-100 mx-auto">
            {% for publication in most_viewed_publications %}
            <div class="carousel-item col-12 col-sm-12 col-md-6 col-lg-4 col-xl-4 active">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title"><a class="text-dark" href="{{publication.get_absolute_url}}">{{publication.product_name}}</a></h4>
                        <a href="{{publication.get_absolute_url}}"><img class="img-thumbnail" style="max-height:175px; min-height: 175px;" src="{{publication.photo.url}}"/></a>
                        <p><small class="text-muted">{{publication.publication_date}}</small>
                            {% if publication.state == 'D' %}
                            <small><span class="badge badge-success">{{publication.get_state_display}}</span></small>
                            {% else %}
                            <small></small><span class="badge badge-danger">{{publication.get_state_display}}</span></small>
                            {% endif %}
                        </p>
                    </div> 
                </div>
            </div>
            {% endfor %}
        </div>
    </div>
</div>
{% block scriptfiles %}
<script src="https://unpkg.com/jquery@3.3.1/dist/jquery.js"></script>
<script src="https://unpkg.com/popper.js@1.12.9/dist/umd/popper.js"></script>
<script src="https://unpkg.com/bootstrap@4.0.0/dist/js/bootstrap.js"></script>
<script src="{% static 'users/js/cardcarousel.js' %}"></script>
{% endblock %} 
{% endblock %}